<?php

namespace App\Http\Controllers;

use App\Models\AboutUs;
use Illuminate\Http\Request;

class AboutUsController extends Controller
{
    public function show()
    {
        $about = AboutUs::latest()->first();

        if (!$about) {
            return response()->json(['success' => false, 'message' => 'About Us not found'], 404);
        }

        return response()->json(['success' => true, 'about' => $about], 200);
    }

    public function update(Request $request)
    {
        $request->validate([
            'title' => 'required|string|max:255',
            'description' => 'required|string',
        ]);

        $about = AboutUs::create([
            'title' => $request->title,
            'description' => $request->description,
        ]);

        return response()->json(['success' => true, 'about' => $about], 200);
    }
}
