<?php

namespace App\Http\Controllers;

use App\Models\SupportContact;
use Illuminate\Http\Request;

class SupportContactController extends Controller
{
    public function index()
    {
        $contacts = SupportContact::all();
        return response()->json(['success' => true, 'contacts' => $contacts], 200);
    }

    public function store(Request $request)
    {
        $request->validate([
            'platform' => 'required|string|max:255',
            'contact_info' => 'required|string|max:255',
        ]);

        $contact = SupportContact::create($request->all());

        return response()->json(['success' => true, 'contact' => $contact], 201);
    }
}
