<?php

namespace App\Http\Controllers;

use App\Models\TermsCondition;
use Illuminate\Http\Request;

class TermsConditionController extends Controller
{
    public function show()
    {
        $terms = TermsCondition::latest()->first();

        if (!$terms) {
            return response()->json(['success' => false, 'message' => 'Terms & Conditions not found'], 404);
        }

        return response()->json(['success' => true, 'terms' => $terms], 200);
    }

    public function update(Request $request)
    {
        $request->validate([
            'content' => 'required',
        ]);

        $terms = TermsCondition::create([
            'content' => $request->input('content'),
        ]);

        return response()->json(['success' => true, 'message' => 'Terms & Conditions updated successfully'], 200);
    }
}
