<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Laravel\Sanctum\PersonalAccessToken;

class CheckSanctumToken
{
    public function handle(Request $request, Closure $next)
    {
        try {
            $token = $request->bearerToken();

            if (!$token) {
                return response()->json(['success' => false, 'message' => 'Token not provided'], 401);
            }

            $tokenData = PersonalAccessToken::findToken($token);

            if (!$tokenData || !$tokenData->tokenable) {
                return response()->json(['success' => false, 'message' => 'Invalid token'], 401);
            }

            Auth::login($tokenData->tokenable);

            return $next($request);
        } catch (\Exception $e) {
            return response()->json(['success' => false, 'message' => 'An error occurred: ' . $e->getMessage()], 500);
        }
    }
}
