<?php

namespace App\Listeners;

use App\Events\LaundryCreated;
use App\Models\ServiceCategory;
use App\Models\Service;

class CreateDefaultLaundryServices
{
    public function handle(LaundryCreated $event)
    {
        $laundry = $event->laundry;

        $categories = [
            'غسيل وكوي اساسي' => [
                ['name' => 'بدلة عسكرية', 'price' => 0],
                ['name' => 'جاكيت', 'price' => 0],
                ['name' => 'ثوب', 'price' => 0],
                ['name' => 'ثوب بليزر', 'price' => 0],
                ['name' => 'منشفة صغيرة', 'price' => 0],
                ['name' => 'منشفة كبيرة', 'price' => 0],
                ['name' => 'غترة/شال', 'price' => 0],
                ['name' => 'جلابية', 'price' => 0],
                ['name' => 'قفطان', 'price' => 0],
                ['name' => 'تي شيرت', 'price' => 0],
                ['name' => 'بدلة', 'price' => 0],
                ['name' => 'عباءة', 'price' => 0],
                ['name' => 'قمصان', 'price' => 0],
                ['name' => 'قميص مخصص', 'price' => 0],
                ['name' => 'بنطلون', 'price' => 0],
                ['name' => 'جينز', 'price' => 0],
                ['name' => 'منديل', 'price' => 0],
                ['name' => 'بلوفر', 'price' => 0],
                ['name' => 'شورت', 'price' => 0],
                ['name' => 'بيجامة', 'price' => 0],
                ['name' => 'بدلة سهرة', 'price' => 0],
            ],
            'كوي فقط' => [
                ['name' => 'بدلة عسكرية', 'price' => 0],
                ['name' => 'جاكيت', 'price' => 0],
                ['name' => 'ثوب', 'price' => 0],
                ['name' => 'ثوب بليزر', 'price' => 0],
                ['name' => 'منشفة صغيرة', 'price' => 0],
                ['name' => 'منشفة كبيرة', 'price' => 0],
                ['name' => 'غترة/شال', 'price' => 0],
                ['name' => 'جلابية', 'price' => 0],
                ['name' => 'قفطان', 'price' => 0],
                ['name' => 'تي شيرت', 'price' => 0],
                ['name' => 'بدلة', 'price' => 0],
                ['name' => 'عباءة', 'price' => 0],
                ['name' => 'قمصان', 'price' => 0],
                ['name' => 'قميص مخصص', 'price' => 0],
                ['name' => 'بنطلون', 'price' => 0],
                ['name' => 'جينز', 'price' => 0],
                ['name' => 'منديل', 'price' => 0],
                ['name' => 'بلوفر', 'price' => 0],
                ['name' => 'شورت', 'price' => 0],
                ['name' => 'بيجامة', 'price' => 0],
                ['name' => 'بدلة سهرة', 'price' => 0],
            ],
            'غسيل بخار' => [
                ['name' => 'بدلة عسكرية', 'price' => 0],
                ['name' => 'جاكيت', 'price' => 0],
                ['name' => 'ثوب', 'price' => 0],
                ['name' => 'ثوب بليزر', 'price' => 0],
                ['name' => 'منشفة صغيرة', 'price' => 0],
                ['name' => 'منشفة كبيرة', 'price' => 0],
                ['name' => 'غترة/شال', 'price' => 0],
                ['name' => 'جلابية', 'price' => 0],
                ['name' => 'قفطان', 'price' => 0],
                ['name' => 'تي شيرت', 'price' => 0],
                ['name' => 'بدلة', 'price' => 0],
                ['name' => 'عباءة', 'price' => 0],
                ['name' => 'قمصان', 'price' => 0],
                ['name' => 'قميص مخصص', 'price' => 0],
                ['name' => 'بنطلون', 'price' => 0],
                ['name' => 'جينز', 'price' => 0],
                ['name' => 'منديل', 'price' => 0],
                ['name' => 'بلوفر', 'price' => 0],
                ['name' => 'شورت', 'price' => 0],
                ['name' => 'بيجامة', 'price' => 0],
                ['name' => 'بدلة سهرة', 'price' => 0],
            ],
            'غسيل مفارش' => [
                ['name' => 'بطانية نفر', 'price' => 0],
                ['name' => 'بطانية نفرين', 'price' => 0],
                ['name' => 'مفرش نفر', 'price' => 0],
                ['name' => 'مفرش نفرين', 'price' => 0],
                ['name' => 'شرشف', 'price' => 0],
                ['name' => 'مخذه', 'price' => 0],
                ['name' => 'كيس مخذه', 'price' => 0],
            ],
            'فستان' => [
                ['name' => 'فستان زفاف', 'price' => 0],
                ['name' => 'فستان صغير', 'price' => 0],
                ['name' => 'فستان كبير', 'price' => 0],
            ],
            'حذاء' => [
                ['name' => 'حذاء رياضي', 'price' => 0],
                ['name' => 'حذاء جلد', 'price' => 0],
                ['name' => 'حذاء قماش', 'price' => 0],
            ]
        ];

        foreach ($categories as $categoryName => $services) {
            $category = ServiceCategory::create([
                'laundry_id' => $laundry->id,
                'name' => $categoryName,
            ]);

            foreach ($services as $serviceData) {
                Service::create([
                    'service_category_id' => $category->id,
                    'name' => $serviceData['name'],
                    'price' => $serviceData['price'],
                ]);
            }
        }
    }
}
