<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class Order extends Model
{
    use HasFactory, Notifiable;

    protected $fillable = [
        'user_id', 'laundry_id', 'delivery_address', 'latitude', 'longitude',
        'delivery_type', 'payment_method', 'payment_status', 'status', 'total',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function laundry()
    {
        return $this->belongsTo(Laundry::class);
    }

    public function items()
    {
        return $this->hasMany(OrderItem::class);
    }
    
    public function delivery()
    {
        return $this->belongsTo(Delivery::class);
    }
}
