<?php

namespace App\Notifications\Channels;

use Illuminate\Notifications\Notification;
use Kreait\Firebase\Messaging\CloudMessage;
use Kreait\Firebase\Messaging\Notification as FirebaseNotification;
use Kreait\Firebase\Factory;

class FirebaseChannel
{
    protected $messaging;

    public function __construct()
    {
        $this->messaging = (new Factory)->withServiceAccount(config('services.firebase.credentials'))->createMessaging();
    }

    public function send($notifiable, Notification $notification)
    {
        if (!method_exists($notification, 'toFirebase')) {
            return;
        }

        $message = $notification->toFirebase($notifiable);

        $this->messaging->send($message);
    }
}
