<?php

namespace Database\Factories;

use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

class UserFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = User::class;

    /**
     * Define the model's default state.
     *
     * @return array
     */
    public function definition()
    {
        return [
            'name' => $this->faker->name,
            'email' => $this->faker->unique()->safeEmail,
            'phone_number' => $this->faker->phoneNumber,
            'otp' => '123456',
            'email_verified_at' => now(),
            'password' => bcrypt('123456'),
            'profile_picture' => null,
            'balance' => $this->faker->randomFloat(2, 0, 1000),
            'latitude' => $this->faker->latitude,
            'longitude' => $this->faker->longitude,
            'current_address' => $this->faker->address,
            'google_pay' => null,
            'apple_pay' => null,
            'remember_token' => Str::random(10),
        ];
    }
}
