<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrdersTable extends Migration
{
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade');
            $table->foreignId('laundry_id')->constrained()->onDelete('cascade');
            $table->string('delivery_address');
            $table->decimal('latitude', 10, 8);
            $table->decimal('longitude', 11, 8);
            $table->enum('delivery_type', ['pickup', 'delivery']);
            $table->enum('payment_method', ['google_pay', 'apple_pay', 'cash']);
            $table->enum('payment_status', ['paid', 'unpaid']);
            $table->unsignedBigInteger('delivery_id')->nullable();
            $table->enum('status', ['new', 'on_pick_up', 'in_progress', 'ready', 'delivery_to_user', 'user_pick_up', 'on_delivery', 'completed', 'canceled'])->default('new');
            $table->decimal('total', 8, 2);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
}
