<?php

namespace Database\Seeders;

use App\Models\Delivery;
use App\Models\Order;
use App\Models\User;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Faker\Factory as Faker;

class DeliverySeeder extends Seeder {
    public function run()
    {
        $faker = Faker::create();

        for ($i = 0; $i < 10; $i++) {
            // إنشاء دليفري جديد
            $delivery = Delivery::create([
                'name' => $faker->name,
                'email' => $faker->unique()->safeEmail,
                'phone_number' => $faker->phoneNumber,
                'password' => Hash::make('123456'),
                'vehicle_type' => $faker->randomElement(['Bike', 'Car', 'Van']),
                'vehicle_plate' => strtoupper($faker->bothify('??? ####')),
                'balance' => $faker->randomFloat(2, 50, 200),
                'profile_picture' => $faker->imageUrl(200, 200, 'people'),
            ]);

            $user = User::inRandomOrder()->first();

            for ($j = 0; $j < 5; $j++) {
                Order::create([
                    'user_id' => $user->id,
                    'laundry_id' => 1,
                    'delivery_address' => $faker->address,
                    'delivery_id' => $delivery->id,
                    'longitude' => $faker->longitude,
                    'latitude' => $faker->latitude,
                    'status' => 'new',
                    'total' => $faker->randomFloat(2, 20, 100),
                ]);
            }
        }
    }
}
