<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/check-firebase-file', function () {
    $path = config('firebase.credentials.file');
    if (file_exists($path)) {
        return "File is readable";
    } else {
        return "File is not readable or doesn't exist";
    }
});

Route::get('/test-firebase', function () {
    try {
        $messaging = app('firebase.messaging');
        return 'Firebase is set up correctly';
    } catch (\Exception $e) {
        return 'Error: ' . $e->getMessage();
    }
});

